Subject: Re: BootX slowdown

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 20 Jan 2000 16:42:44 +0100

On Thu, Jan 20, 2000, Andrew B. Arthur <[email-masked]> wrote:

>>
>>  - boot with BootX 1.2b3 in the exact same configuration that usually
>> triggers the slowdown problem. You may eventually boot single user or
>> even "init=/bin/sh" so that it doesn't take for ever to reach bash prompt.
>
>Running on a PowerMacintosh 4400/200. BootX 1.2b3 and BootX 1.1.3
>results listed below. Linux hagoleche.aarthur.bsdonline.org 2.2.14 #1
>Sun Jan 16 02:39:35 EST 2000 ppc unknown

It appears that on some machines, the ICTC is not 0 when booting from
MacOS. I'll add code to reset it in a next kernel. This may or may not be
the cause of your problem (this issue was spotted on a G3-based powerbook).

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/